Skip to content

Submit or update XP Season 2 decision

POST
/xp/decision
curl --request POST \
--url https://api.ethos.network/api/v2/xp/decision \
--header 'Content-Type: application/json' \
--header 'X-Ethos-Api-Key: <X-Ethos-Api-Key>' \
--data '{ "decisionType": "SPEND", "delegations": [ { "validatorTokenId": "example", "xpAmount": 1 } ] }'
Media typeapplication/json
object
decisionType
required
string
Allowed values: SPEND DELEGATE NOTHING
delegations
Array<object>
>= 1 items <= 3 items
object
validatorTokenId
required
string
xpAmount
required
integer
> 0 <= 9007199254740991

Successful response

Media typeapplication/json
object
profileId
required
integer
> 0 <= 2147483647
seasonId
required
number
decisionType
required
string
Allowed values: SPEND DELEGATE NOTHING
delegations
required
Array<object>
object
validatorTokenId
required
string
xpAmount
required
integer
<= 9007199254740991
createdAt
required
string
updatedAt
required
string

Example

{
"decisionType": "SPEND"
}

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Authorization not provided

Media typeapplication/json
Authorization not provided error (401)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}

Insufficient access

Media typeapplication/json
Insufficient access error (403)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}